models/Ejercicio1.php
<?php
namespace app\models;

use yii\base\Model;

class Ejercicio1 extends Model{
    public $numero1;
    
    public function AttributeLabels(){
        return [
            "numero1" => "Introduce un numero"
        ];
    }
    
    public function rules(){
        return [
          ['numero1','integer','min'=>1,'max'=>100],
          ['numero1','required'],
        ];
    }
    
}

models/Ejercicio2.php
<?php
namespace app\models;

use yii\base\Model;

class Ejercicio2 extends Model{
    public $numero1;
    
    public function AttributeLabels(){
        return [
            "numero1" => "Introduce un numero"
        ];
    }
    
    public function rules(){
        return [
          ['numero1','integer','min'=>10],
          ['numero1','required'],
        ];
    }
    
}

models/Ejercicio3y4.php
<?php
namespace app\models;

use yii\base\Model;

class Ejercicio3y4 extends Model{
    public $numero1;
    public $numero2;
    public $numero3;
    
    public function AttributeLabels(){
        return [
            "numero1" => "Introduce numero 1",
            "numero2" => "Introduce numero 2",
            "numero3" => "Introduce numero 3",
        ];
    }
    
    public function rules(){
        return [
          [['numero1','numero2','numero3'],'integer','message'=>'El campo {attribute} debe ser numero'],
          [['numero1','numero2','numero3'],'required'],
          ['numero3','compare','compareAttribute' => 'numero2','operator'=>'>']
        ];
    }
    
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use app\models\Ejercicio1;
use app\models\Ejercicio2;
use app\models\Ejercicio3y4;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }
    
    public function actionEjercicio1(){
        $model = new Ejercicio1();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                $salida="";
                for($c=1;$c<=$model->numero1;$c++){
                    $salida="<p>$salida $c</p>";
                }
                

                return $this->render("resultadoEjercicio1",[
                    "salida" => $salida,
                ]);
            }
        }

        return $this->render('ejercicio1', [
            'model' => $model,
        ]);
    }
    
    
     public function actionEjercicio2(){
        $model = new Ejercicio2();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                $salida="";
                for($c=$model->numero1;$c>=1;$c--){
                    $salida="<p>$salida $c</p>";
                }
                

                return $this->render("resultadoEjercicio2",[
                    "salida" => $salida,
                ]);
            }
        }

        return $this->render('ejercicio2', [
            'model' => $model,
        ]);
    }
    
    public function actionEjercicio3()
    {
        $model = new Ejercicio3y4();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                $resultado=$model->numero1+$model->numero2+$model->numero3;
                
                return $this->render("resultadoEjercicio3y4",[
                    "resultado" => $resultado,
                    "operacion" => "Suma"
                ]);
            }
        }

        return $this->render('ejercicio3y4', [
            'model' => $model,
            'operacion' => "SUMAR"
        ]);
    }
    
    public function actionEjercicio4()
    {
        $model = new Ejercicio3y4();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                $resultado=$model->numero1*$model->numero2*$model->numero3;
                
                return $this->render("resultadoEjercicio3y4",[
                    "resultado" => $resultado,
                    "operacion" => "Producto"
                ]);
            }
        }

        return $this->render('ejercicio3y4', [
            'model' => $model,
            'operacion' => "MULTIPLICAR"
        ]);
    }
    
    
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\assets\AppAsset;
use app\widgets\Alert;
use yii\bootstrap4\Breadcrumbs;
use yii\bootstrap4\Html;
use yii\bootstrap4\Nav;
use yii\bootstrap4\NavBar;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>" class="h-100">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body class="d-flex flex-column h-100">
<?php $this->beginBody() ?>

<header>
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar navbar-expand-md navbar-dark bg-dark fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav'],
        'items' => [
            ['label' => 'Home', 'url' => ['/site/index']],
            ['label' => 'Ejercicio 1', 'url' => ['/site/ejercicio1']],
            ['label' => 'Ejercicio 2', 'url' => ['/site/ejercicio2']],
            ['label' => 'Ejercicio 3', 'url' => ['/site/ejercicio3']],
            ['label' => 'Ejercicio 4', 'url' => ['/site/ejercicio4']],
        ],
    ]);
    NavBar::end();
    ?>
</header>

<main role="main" class="flex-shrink-0">
    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</main>

<footer class="footer mt-auto py-3 text-muted">
    <div class="container">
        <p class="float-left">Desarrollado en curso POO2021</p>
        <p class="float-right">Ramon Abramo</p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/ejercicio1.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Ejercicio1 */
/* @var $form ActiveForm */
?>
<div class="site-ejercicio1">

    <?php $form = ActiveForm::begin(); ?>

        <?= $form->field($model, 'numero1') ?>
    
        <div class="form-group">
            <?= Html::submitButton('Submit', ['class' => 'btn btn-primary']) ?>
        </div>
    <?php ActiveForm::end(); ?>

</div><!-- site-ejercicio1 -->

views/site/ejercicio2.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Ejercicio2 */
/* @var $form ActiveForm */
?>
<div class="site-ejercicio2">

    <?php $form = ActiveForm::begin(); ?>

        <?= $form->field($model, 'numero1') ?>
    
        <div class="form-group">
            <?= Html::submitButton('Submit', ['class' => 'btn btn-primary']) ?>
        </div>
    <?php ActiveForm::end(); ?>

</div><!-- site-ejercicio2 -->

views/site/ejercicio3y4.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Ejercicio3y4 */
/* @var $form ActiveForm */
?>
<div class="site-ejercicio3y4">

    <?php $form = ActiveForm::begin(); ?>

        <?= $form->field($model, 'numero1') ?>
        <?= $form->field($model, 'numero2') ?>
        <?= $form->field($model, 'numero3') ?>
    
        <div class="form-group">
            <?= Html::submitButton($operacion, ['class' => 'btn btn-primary']) ?>
        </div>
    <?php ActiveForm::end(); ?>

</div><!-- site-ejercicio3y4 -->

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

/* @var $this yii\web\View */

$this->title = 'Operaciones';
?>
<div class="site-index">
   
    <div class="body-content">

        <div class="row">
            <div class="col-lg-8 mx-auto bg-light p-4 rounded">
                <h2>Operaciones con formularios</h2>

                <p>Creando formularios utilizando modelos de Yii</p>
            </div>
        </div>

    </div>
</div>

views/site/resultadoEjercicio1.php
<div class="col-lg-8 mx-auto rounded bg-primary text-white p-3 mt-3 text-center">
    <?= $salida ?>
</div>

views/site/resultadoEjercicio2.php
<div class="col-lg-8 mx-auto rounded bg-primary text-white p-3 mt-3 text-center">
    <?= $salida ?>
</div>

views/site/resultadoEjercicio3y4.php
<div class="col-lg-6 mx-auto bg-primary text-white p-4 mt-3">
    <?= "El resultado de la $operacion es $resultado" ?>
</div>